Bug 1010742 - wine-systemd postuninstall scriptlet broken
wine-systemd postuninstall scriptlet broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 18:37 EDT by Peter Backes
Modified: 2013-11-10 01:09 EST (History)
3 users (show)

See Also:
Fixed In Version: wine-1.7.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:35:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Backes 2013-09-22 18:37:18 EDT
Description of problem:
recent yum update produced the following output:

  Cleanup    : wine-alsa-1.7.1-2.fc19.i686                                59/95 
  Cleanup    : wine-common-1.7.1-2.fc19.noarch                            60/95 
  Cleanup    : wine-systemd-1.7.1-2.fc19.noarch                           61/95 
/var/tmp/rpm-tmp.QrEA8T: line 1: [1: command not found
  Cleanup    : wine-tahoma-fonts-1.7.1-2.fc19.noarch                      62/95 
  Cleanup    : wine-capi-1.7.1-2.fc19.i686                                63/95 
  Cleanup    : wine-cms-1.7.1-2.fc19.i686                                 64/95 
  Cleanup    : wine-ldap-1.7.1-2.fc19.i686                                65/95 
  Cleanup    : wine-twain-1.7.1-2.fc19.i686                               66/95 

cause:

% rpm -q  --scripts wine-systemd
postinstall scriptlet (using /bin/sh):
/bin/systemctl try-restart systemd-binfmt.service
postuninstall scriptlet (using /bin/sh):
if [$1 -eq 0]; then
/bin/systemctl try-restart systemd-binfmt.service
fi

This should be reading "if [ $1 -eq 0 ]; then". The spaces are significant.


Version-Release number of selected component (if applicable):
wine-systemd-1.7.1-2.fc19

How reproducible:
always

Steps to Reproduce:
1. yum update

Actual results:
error message

Expected results:
scriptlet executes fine.
Comment 1 Fedora Update System 2013-09-29 13:07:16 EDT
mingw-wine-gecko-2.24-1.fc19,wine-1.7.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-wine-gecko-2.24-1.fc19,wine-1.7.3-1.fc19
Comment 2 Fedora Update System 2013-09-29 13:08:04 EDT
wine-1.7.3-1.fc20,mingw-wine-gecko-2.24-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wine-1.7.3-1.fc20,mingw-wine-gecko-2.24-1.fc20
Comment 3 Fedora Update System 2013-09-30 22:06:44 EDT
Package wine-1.7.3-1.fc20, mingw-wine-gecko-2.24-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wine-1.7.3-1.fc20 mingw-wine-gecko-2.24-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18001/wine-1.7.3-1.fc20,mingw-wine-gecko-2.24-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-28 23:35:36 EDT
mingw-wine-gecko-2.24-1.fc19, wine-1.7.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-11-10 01:09:55 EST
wine-1.7.3-1.fc20, mingw-wine-gecko-2.24-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.